summaryrefslogtreecommitdiffstats
path: root/modules.d/busybox/install-busybox-stage4.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules.d/busybox/install-busybox-stage4.sh')
-rw-r--r--modules.d/busybox/install-busybox-stage4.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/modules.d/busybox/install-busybox-stage4.sh b/modules.d/busybox/install-busybox-stage4.sh
new file mode 100644
index 00000000..ad34b75c
--- /dev/null
+++ b/modules.d/busybox/install-busybox-stage4.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if hash busybox; then
+ # check if the stage4 has a busybox in the same location
+ # as within the initramfs. If so, we keep it and just hope
+ # that everything works out. If there is none, we can copy
+ # our busybox there safely
+ bb_path="$(type -p busybox)"
+ if ! [ -x "${NEWROOT}/${bb_path}" ]; then
+ cp -f "$bb_path" "${NEWROOT}/${bb_path}"
+ fi
+ # finally install the applets under /opt/openslx/bin
+ mkdir -p "${NEWROOT}/opt/openslx/bin"
+ busybox --install -s "${NEWROOT}/opt/openslx/bin"
+fi
+true